Skip to main content
POST
Node.js

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

store_id
string
required

Body

application/json
tuple_key
object
required
authorization_model_id
string
Example:

"01G5JAVJ41T49E9TT3SKVS7X1J"

consistency
enum<string>
default:UNSPECIFIED

Controls the consistency preference for this request. Default value is UNSPECIFIED, which will have the same behavior as MINIMIZE_LATENCY.

Available options:
UNSPECIFIED,
MINIMIZE_LATENCY,
HIGHER_CONSISTENCY
Example:

"MINIMIZE_LATENCY"

context
object

Additional request context that will be used to evaluate any ABAC conditions encountered in the query evaluation.

contextual_tuples
object

Response

A successful response.

allowed
boolean
Example:

true

resolution
string

For internal use only.